﻿#transaction_off
DECLARE @base varchar(100), @SQL nvarchar(1000)
DECLARE curseur CURSOR FOR SELECT name from master.sys.databases  where name like '%reflex%' or name like '%directplanning%' order by name
OPEN curseur 
FETCH curseur into @base 
WHILE @@FETCH_STATUS = 0 
BEGIN 
EXEC ('ALTER DATABASE ' + @base +' SET AUTO_CLOSE OFF WITH NO_WAIT')
FETCH curseur INTO @base 
END
CLOSE curseur
DEALLOCATE curseur;

#limit_off
SELECT [name] AS DatabaseName
, CONVERT(varchar(10),DATABASEPROPERTYEX([Name] , 'IsAutoClose')) AS AutoClose
FROM master.dbo.sysdatabases
Order By DatabaseName 